Github messages for voidlinux
 help / color / mirror / Atom feed
From: sgn <sgn@users.noreply.github.com>
To: ml@inbox.vuxu.org
Subject: Re: [PR PATCH] [Updated] CI: move lint-commits up in action list
Date: Sat, 29 May 2021 18:02:12 +0200	[thread overview]
Message-ID: <20210529160212.MkwhsFd-PsarEsH9dU5Z09sFAJZPwODn5lFMLXhZWj0@z> (raw)
In-Reply-To: <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-31201@inbox.vuxu.org>

[-- Attachment #1: Type: text/plain, Size: 1814 bytes --]

There is an updated pull request by sgn against master on the void-packages repository

https://github.com/sgn/void-packages ci-lint-commits-up
https://github.com/void-linux/void-packages/pull/31201

CI: move lint-commits up in action list
* CI will stop whenever a step is failing.
* We always want to enforce commit message lint
* `xlint` is reporting some false positive for license with " WITH "

Let's move the lint-commits step up.

<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/31201.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ci-lint-commits-up-31201.patch --]
[-- Type: text/x-diff, Size: 2691 bytes --]

From 07ae71c2317c544c8a9911c42aeef23f910c6c7b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Sat, 29 May 2021 22:58:52 +0700
Subject: [PATCH 1/2] ci/changed-templates: use tip of feature branch as tip

The HEAD given by GitHub Action is always non-fast-forward merge commit.
In the next change, lint-commits will use the tip from
"changed_templates.sh".

Let pick the correct tip for interrogation.
---
 common/travis/changed_templates.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/common/travis/changed_templates.sh b/common/travis/changed_templates.sh
index d36ac8c52a99..a6e5fb74327b 100755
--- a/common/travis/changed_templates.sh
+++ b/common/travis/changed_templates.sh
@@ -8,7 +8,9 @@ elif command -v git >/dev/null 2>&1; then
 	GIT_CMD=$(command -v git)
 fi
 
-printf '%s ' "$(git merge-base FETCH_HEAD HEAD)" HEAD  > /tmp/revisions
+printf '%s %s\n' \
+	"$(git merge-base FETCH_HEAD HEAD^2)" \
+	"$(git rev-parse --verify HEAD^2)" > /tmp/revisions
 
 /bin/echo -e '\x1b[32mChanged packages:\x1b[0m'
 $GIT_CMD diff-tree -r --no-renames --name-only --diff-filter=AM \

From 91f0a6fb668c72eb4206e41d8585604b5bd3a593 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Sat, 29 May 2021 16:45:06 +0700
Subject: [PATCH 2/2] CI: make lint-commits part of xlint.sh

* CI will stop whenever a step is failing.
* We always want to enforce commit message lint
* `xlint` is reporting some false positive for license with " WITH "

Let's make the lint-commits part of xlint.sh
---
 .github/workflows/build.yaml | 2 --
 common/travis/xlint.sh       | 3 +++
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/.github/workflows/build.yaml b/.github/workflows/build.yaml
index 5ca5de2244d4..08445b742177 100644
--- a/.github/workflows/build.yaml
+++ b/.github/workflows/build.yaml
@@ -22,8 +22,6 @@ jobs:
       - run: common/travis/fetch-xbps.sh
       - run: common/travis/fetch-xtools.sh
       - run: common/travis/xlint.sh
-      # GitHub Action create a merge commit, ignore it
-      - run: common/scripts/lint-commits FETCH_HEAD HEAD^2
 
   # Build changed packages.
   build:
diff --git a/common/travis/xlint.sh b/common/travis/xlint.sh
index fc15d20a3fcf..6b3d9e91c90a 100755
--- a/common/travis/xlint.sh
+++ b/common/travis/xlint.sh
@@ -6,6 +6,9 @@
 
 EXITCODE=0
 read base tip < /tmp/revisions
+
+common/scripts/lint-commits $base $tip || EXITCODE=$?
+
 for t in $(awk '{ print "srcpkgs/" $0 "/template" }' /tmp/templates); do
 	/bin/echo -e "\x1b[32mLinting $t...\x1b[0m"
 	xlint "$t" || EXITCODE=$?

  parent reply	other threads:[~2021-05-29 16:02 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-05-29  9:47 [PR PATCH] " sgn
2021-05-29 10:38 ` Chocimier
2021-05-29 15:52 ` sgn
2021-05-29 16:02 ` sgn [this message]
2021-05-31 10:47 ` [PR PATCH] [Merged]: " sgn

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210529160212.MkwhsFd-PsarEsH9dU5Z09sFAJZPwODn5lFMLXhZWj0@z \
    --to=sgn@users.noreply.github.com \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).